import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import { CalendarElement } from './calendar-element.model';
import { AntAgendaService } from '../shared/service/ant-agenda.service';
import { UISettingService } from '../shared/service/ui-setting.service';
import { CalendarService } from '../shared/service/calendar.service';
import { AntEvent } from '../ant-agenda.models';
export declare class CalendarComponent implements OnInit, OnDestroy {
    private agendaService;
    private uiSettingService;
    private calendarService;
    onDateSelected: EventEmitter<AntEvent[]>;
    onPreviousMonthClick: EventEmitter<any>;
    onNextMonthClick: EventEmitter<any>;
    calendar: CalendarElement[][];
    currentYear: number;
    currentMonth: number;
    currentDate: number;
    now: Date;
    selectedDate: Date;
    monthArr: number[][];
    showMonth: boolean;
    private dataSubcription;
    textColor: string;
    eventStyle: string;
    previousButtonText: string;
    nextButtonText: string;
    fontName: string;
    data: BehaviorSubject<AntEvent[]>;
    language: any;
    selectedEvents: BehaviorSubject<CalendarElement>;
    constructor(agendaService: AntAgendaService, uiSettingService: UISettingService, calendarService: CalendarService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onPrevious(): void;
    onNext(): void;
    onPreYear(): void;
    onNextYear(): void;
    onSelected(eventList: AntEvent[]): void;
    onMonthSelected(x: number): void;
    onShowMonth(): void;
    onHideMonth(): void;
    onToday(): void;
    getUISetting(): any;
    getDaysOfWeek(): Date[];
    getCurrentDay(): Date;
}
